Package org.italiangrid.voms.request

# Interface VOMSResponse

All Known Implementing Classes:
  `LegacyVOMSResponse`, `RESTVOMSResponse`

public interface VOMSResponse

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`VOMSErrorMessage[]`
`errorMessages()`
Extracts the error messages from the VOMS response.
`byte[]`
`getAC()`
Extracts the AC from the VOMS response.
`int`
`getVersion()`
Extracts the version from the VOMS response.
`String`
`getXMLAsString()`
`boolean`
`hasErrors()`
`boolean`
`hasWarnings()`
`VOMSWarningMessage[]`
`warningMessages()`
Extracts the warning messags from the VOMS response.

## Method Details

### hasErrors

boolean hasErrors()

Returns:
  `true` if this `VOMSResponse` has errors, `false` otherwise

### hasWarnings

boolean hasWarnings()

Returns:
  `true` if this `VOMSResponse` has warnings, `false` otherwise

### getAC

byte[] getAC()
Extracts the AC from the VOMS response.

Returns:
  an array of bytes containing the AC.

### getVersion

int getVersion()
Extracts the version from the VOMS response.

Returns:
  an integer containing the AC.

### errorMessages

VOMSErrorMessage[] errorMessages()
Extracts the error messages from the VOMS response.

Returns:
  an array of `VOMSErrorMessage` objects.

### warningMessages

VOMSWarningMessage[] warningMessages()
Extracts the warning messags from the VOMS response.

Returns:
  an array of `VOMSWarningMessage` objects.

### getXMLAsString

String getXMLAsString()

Returns:
  Returns the XML representation of the response as a string.